Skip to main content
POST
portfolioState

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:portfolioState
required
Available options:
portfolioState
Example:

"portfolioState"

user
string
required

The account address to query (0x-prefixed).

Example:

"0x000000000000000000000000000000000000dEaD"

Response

200 - application/json

Successful response.

type
enum<string>
required
Available options:
portfolioState
Example:

"portfolioState"

address
string
required

The account whose Portfolio State was composed.

Example:

"0x0000000000000000000000000000000000000000"

chainId
enum<number>
required
Available options:
999,
998
Example:

999

perpetuals
object | null
required

Perpetuals clearinghouse state (clearinghouseState), or null if that section failed.

spot
object | null
required

Spot clearinghouse state (spotClearinghouseState), or null if that section failed.

userAbstraction
object | null
required

User abstraction state (userAbstraction), or null if that section failed.

errors
object
required

Per-section upstream error message; null for a section that succeeded.